@echo off

if .%1==. goto napoveda
goto akce
:napoveda
echo ú
echo  Pouziti:
echo    TTF2FN TTF_FILENAME(bez koncovky, jmeno max 6 znaku) VELIKOST_V_POINTS
echo    Na vstupu ocekava cesky windozi TTF font.
echo    Na vystupu je FN s velikosti v pixelech.
echo ú
echo  Priklad:
echo    ttf2fn comic 10
echo    vygeneruje comic15.fn
echo    (kdyz zadas 10 points, vylezou 15 pixelu vysoka pismena)
echo ú
goto konec

:akce

ttf2pcx -p%2 %1.ttf %1.pcx
::pic2dmfn %1.pcx %1.fn "%1 $$" 32 wintab.chr
pic2dmfn %1.pcx %1.fn "%1 $$" 32 latin2.chr
fn :cz -r%1ÿ$$ %1.fn %1$$.fn
del %1.pcx
::ren %1.fn %1%2.fn
::del %1.fn

:konec
